/**
 * 
 */
package wj.demos.gp;

import java.util.ArrayList;

import wj.demos.GeometriesWKTTransform;
import wj.demos.KVPRequest;

import com.vividsolutions.jts.geom.Geometry;

/**
 * @author Wang jiang
 * 
 */
public class GPService {

	public GetLengthsTransform getLengths(KVPRequest request){
		ArrayList<Double> lengths = new ArrayList<Double>();
		for(Geometry geo:(Geometry[])request.getAttribute("geoms")){
			lengths.add(geo.getLength());
		}
		return new GetLengthsTransform(lengths);
	}
	
	public GeometriesWKTTransform getBuffers(KVPRequest request){
		ArrayList<Geometry> out = new ArrayList<Geometry>();
		for(Geometry geo:(Geometry[])request.getAttribute("geoms")){
			out.add(geo.buffer((Double) request.getAttribute("distance")));
		}
		return new GeometriesWKTTransform(out);
	}
}
